@import url('https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@100..900&display=swap');


.titlepage {
    position: relative;
    width: 100%;
    height: 60vh;
    padding: 50px 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    isolation: isolate;
    background-color: #0c0f12;
}


.titlepage::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #0c0f12, #0d1117d1);
    mix-blend-mode: multiply;
    opacity: .9;
    z-index: 1;
    overflow: hidden;
}


.titlepage .titlecontainer {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    overflow: hidden;
}

.titlepage .titlecontainer h2 {
    padding-top: 100px;
    font-family: myfont;
    font-weight: 500;
    color: #f9faff;
    font-size: 70px;
    text-align: center;
    z-index: 10;
}

.titlepage img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}




.imagesection {
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 50px 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    isolation: isolate;
    background-color: #0c0f12;
}

.imagesection img {
    position: absolute;
    aspect-ratio: 16/9;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}


/* PROJECTS FEATURE SECTION */

.team {
    width: 100%;
    padding: 50px 100px;
}


.team .container {
    display: grid;
    grid-auto-flow: column;
    gap: 5px;
    width: 100%;
    overflow-x: scroll;
}

.team .container::-webkit-scrollbar {
    height: 3px;
}

.team .container::-webkit-scrollbar-track {
    background: #9d9c90;
    border-radius: 50px;
}

.team .container::-webkit-scrollbar-thumb {
    background: #252b33;
    border-radius: 50px;
}

.team .container-elements {
    position: relative;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    padding: 20px 20px;
    width: 350px;
    height: 400px;
    border-radius: .3rem;
    margin-bottom: 10px;
}

.team .container-elements::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #010810, #d7e7ff82);
    mix-blend-mode: multiply;
    opacity: .98;
    z-index: 1;
    overflow: hidden;
}

.team .container-elements>* {
    color: #fafbff;
    z-index: 2;
}

.team .container .container-elements h2 {
    font-family: "Big Shoulders Display", serif;
    font-weight: 400;
    letter-spacing: 1px;
    margin-bottom: 10px;
}

.team .container-elements a,
.serviceprovided {
    font-family: inter, serif;
    position: relative;
    text-decoration: none;
    transition: 0.6s ease-in-out;
    font-size: .8rem;
    letter-spacing: .5px;
    opacity: .7;
}

.team .container-elements a::after {
    position: absolute;
    content: "\2192";
    margin-left: 10px;
    font-size: .8rem;
    transition: transform 0.3s;
}

.team .container-elements .projectlocation {
    max-width: 250px;
    margin-bottom: 10px;
}

.team .container-elements img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}


@media screen and (max-width: 768px){
    .team{
        padding: 50px 20px;
    }
}



/* CONTACT FORM  */

.contact {
    width: 100%;
    padding: 50px 100px;
}

.contact .contactForm {
    display: flex;
    justify-content: center;
    align-content: center;
}

.contact .contactForm form {
    width: 600px;
    height: 600px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contact .contactForm form h2 {
    font-family: playfair;
    color: #190e06;
    font-weight: 700;
    font-size: 30px;
    margin-top: 20px;
    width: 500px;
    text-align: center;
}

.contact .contactForm form .inputBox {
    width: 100%;
    position: relative;
}

.contact .contactForm form input {
    width: 100%;
    font-family: "Big Shoulders Display", serif;
    height: 50px;
    padding-left: 10px;
    outline: none;
    border: none;
    font-size: 18px;
    letter-spacing: 1px;
    margin-bottom: 10px;
    background: none;
    border-bottom: 1px solid #190e06;
}

.contact .contactForm form textarea {
    background: none;
    border: none;
    border-bottom: 2px solid #190e06;
    color: #190e06;
    font-family: "Big Shoulders Display", serif;
    letter-spacing: 1px;
    font-weight: 200;
    font-size: 18px;
    padding: 10px;
    outline: none;
    min-height: 90px;
    max-height: 100px;
    min-width: 100%;
    max-width: 100%;
}

.contact .contactForm form #submit {
    font-family: "Big Shoulders Display", serif;
    display: inline-block;
    text-decoration: none;
    text-transform: capitalize;
    color: #190e06;
    padding: 10px 40px;
    letter-spacing: 1px;
    user-select: none;
    border: 2px solid #190e06;
    border-radius: 50px;
    background: none;
    width: max-content;
}



.mapcontainer{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

iframe{
    width: 80%;
    height: 400px;
}

